abstract class Device {
    protected String model;

    public Device(String model) {
        this.model = model;
    }

    public abstract void turnOn();
}

class Phone extends Device {
    public Phone(String model) {
        super(model);
    }

    @Override
    public void turnOn() {
        System.out.println("Phone " + model + ": Phone brand logo");
    }
}

class Laptop extends Device {
    public Laptop(String model) {
        super(model);
    }

    @Override
    public void turnOn() {
        System.out.println("Laptop " + model + ": Beeper signal... UEFI boot screen... OS boot screen");
    }
}

class Tablet extends Device {
    public Tablet(String model) {
        super(model);
    }

    @Override
    public void turnOn() {
        System.out.println("Tablet " + model + ": Tablet brand logo");
    }
}

public class Main {
    public static void main(String[] args) {
        Device[] devices = new Device[3];
        devices[0] = new Phone("Pixel 10");
        devices[1] = new Laptop("HP EliteBook 845");
        devices[2] = new Tablet("Galaxy Tab 24");

        for (Device d : devices) {
            d.turnOn();
        }
    }
}